### File

`packages/ecl/components/ecl-category-filter/ecl-category-filter/ecl-category-filter.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`DoCheck` `AfterContentInit`

### Metadata

selector | `ecl-category-filter`
styles | `:host { display: block; }`
templateUrl | `./ecl-category-filter.component.html`

### Index

###### Properties
className eclCategoryFilterItemsAll eclCategoryList role
###### Methods
getCssClasses
###### Inputs
aria-label currentItemId class e2eAttr tabindex
###### HostBindings
attr.role class.ecl-category-filter

### Constructor

`constructor(differs: IterableDiffers)`
Parameters :
Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

aria-label
Type : `string | null`
Default value : `'Category filter'`
Aria-label for the navigation role. Defaults to "Category filter".

currentItemId
Type : `string`
ID of the currently selected item. When provided, the item with the matching ID will be marked as current and automatically expanded on initialization.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'navigation'`
Defines the ARIA role for the host element. Always set to "navigation".

class.ecl-category-filter
Type : `boolean`
Default value : `true`
Static class applied to the host element for styling. Always returns true to include the `ecl-category-filter` class.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-category-filter')`
Static class applied to the host element for styling. Always returns true to include the `ecl-category-filter` class.

eclCategoryFilterItemsAll
Type : `QueryList<EclCategoryFilterItemComponent>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

eclCategoryList
Type : `EclCategoryFilterListComponent`
Decorators : `@ContentChild(undefined)`

role
Type : `string`
Default value : `'navigation'`
Decorators : `@HostBinding('attr.role')`
Defines the ARIA role for the host element. Always set to "navigation".

# results matching ""

# No results matching ""